Summary: logs TCP and ICMP connections to syslog.
Name: iplogger
Version: 1.0
Release: 2
Source: ftp://sunsite.unc.edu/pub/Linux/system/network/daemons/iplogger.tar.gz
Source1: iplog.init 
Patch0: iplogger.patch
Copyright: distributable
Group: Networking/Daemons
Buildroot: /tmp/iplog-build
Prereq: /sbin/chkconfig

%description
These two programs let you log tcp and icmp connections in syslog,
along with the hostname. They are just something whipped up quickly,
and could be improved alot - especially the icmp logging program.

%prep
%setup -n iplogger
%patch -p1 -b .fixes

%build
# Make binaries
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc{0,1,2,3,4,5,6}.d

install -m755 -o root -g root icmplog $RPM_BUILD_ROOT/usr/sbin/icmplog
install -m755 -o root -g root tcplog $RPM_BUILD_ROOT/usr/sbin/tcplog
install -m755 -o root -g root $RPM_SOURCE_DIR/iplog.init \
 			      $RPM_BUILD_ROOT/etc/rc.d/init.d/iplog
ln -sf ../init.d/iplog $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K50iplog
ln -sf ../init.d/iplog $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K50iplog
ln -sf ../init.d/iplog $RPM_BUILD_ROOT/etc/rc.d/rc2.d/S50iplog
ln -sf ../init.d/iplog $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S50iplog
ln -sf ../init.d/iplog $RPM_BUILD_ROOT/etc/rc.d/rc4.d/S50iplog
ln -sf ../init.d/iplog $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S50iplog
ln -sf ../init.d/iplog $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K50iplog

%post
/sbin/chkconfig --add iplog

%postun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del iplog
fi


%files
%doc readme ftpbounce.txt
/usr/sbin/*

%config /etc/rc.d/init.d/iplog
%config(missingok) /etc/rc.d/rc0.d/K50iplog
%config(missingok) /etc/rc.d/rc1.d/K50iplog
%config(missingok) /etc/rc.d/rc2.d/S50iplog
%config(missingok) /etc/rc.d/rc3.d/S50iplog
%config(missingok) /etc/rc.d/rc4.d/S50iplog
%config(missingok) /etc/rc.d/rc5.d/S50iplog
%config(missingok) /etc/rc.d/rc6.d/K50iplog
